<?xml version="1.0" encoding="utf-8"?>
<com.adealink.weparty.commonui.drag.DragViewContainer xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:clipChildren="false"
    app:float_rect_bottom="56dp"
    app:float_rect_top="42dp">

    <!-- ================================== -->
    <!--背景-->
    <FrameLayout
        android:id="@+id/fl_theme"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/room_default_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <!-- ================================== -->
    <!--顶部栏-->
    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@id/id_room_top_bar"
        android:layout_width="0dp"
        android:layout_height="44dp"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.fragment.app.FragmentContainerView
            android:id="@+id/room_info_fragment"
            android:name="com.adealink.weparty.room.chatroom.page.dispatchcenter.DispatchCenterRoomInfoFragment"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="4dp"
            android:layout_weight="1"
            android:tag="@string/tag_room_top_info_fragment" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/exit_btn"
            android:layout_width="28dp"
            android:layout_height="28dp"
            android:layout_marginEnd="16dp"
            android:src="@drawable/room_close_ic" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <!--麦位-->
    <androidx.fragment.app.FragmentContainerView
        android:id="@id/id_room_mic_seat"
        android:name="com.adealink.weparty.room.micseat.MicSeatFragment"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:clipChildren="false"
        android:tag="@string/tag_room_mic_seat_fragment"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/id_room_top_bar"
        tools:layout_height="300dp" />

    <!--公屏-->
    <androidx.fragment.app.FragmentContainerView
        android:id="@id/id_room_chat_message"
        android:name="com.adealink.weparty.room.chat.ChatMessageFragment"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="8dp"
        android:tag="@string/tag_room_chat_message_fragment"
        app:layout_constraintBottom_toTopOf="@id/id_room_bottom_bar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/id_room_mic_seat"
        app:layout_goneMarginTop="12dp" />

    <!-- 底部栏 -->
    <androidx.fragment.app.FragmentContainerView
        android:id="@id/id_room_bottom_bar"
        android:name="com.adealink.weparty.room.chatroom.page.dispatchcenter.DispatchRoomBottomOperateFragment"
        android:layout_width="0dp"
        android:layout_height="50dp"
        android:tag="@string/tag_room_bottom_bar_fragment"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <!--底部引导-->
    <include
        android:id="@+id/v_guide_4"
        layout="@layout/layout_how_to_guide_4_bg"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

</com.adealink.weparty.commonui.drag.DragViewContainer>